Bug 967379 - notification bubbles partially off screen in fallback mode
notification bubbles partially off screen in fallback mode
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: notification-daemon (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-26 18:56 EDT by Fabrice Bellet
Modified: 2014-02-05 16:33 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:33:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
workaround for broken bubble width (936 bytes, patch)
2013-05-26 18:56 EDT, Fabrice Bellet
no flags Details | Diff
snapshot, stock F-18 with updates (fallback mode on), notification bubble overflow (115.14 KB, image/jpeg)
2013-05-28 04:02 EDT, Fabrice Bellet
no flags Details
screenshot, stock F-18 with updates (fallback mode on), with patch applied (165.39 KB, image/jpeg)
2013-05-28 04:04 EDT, Fabrice Bellet
no flags Details

  None (edit)
Description Fabrice Bellet 2013-05-26 18:56:12 EDT
Created attachment 753424 [details]
workaround for broken bubble width

Hi!

I noticed that notification bubble, where summary or body text is too long is not given a suitable width, so it partially extends off-screen to the upper right of the screen. The problem seems to rely on long strings in GtkLabel widget. In this case, the widget won't respect the width given in gtk_widget_set_size_request(). 

For whatever *magical* reason, setting a dumb value of max_width_chars for these labels seems to be a workaround.
Comment 1 Dan Mashal 2013-05-27 15:15:44 EDT
Which DE?
Comment 2 Fabrice Bellet 2013-05-28 03:59:36 EDT
Gnome with fallback mode activated.
Comment 3 Fabrice Bellet 2013-05-28 04:02:11 EDT
Created attachment 753772 [details]
snapshot, stock F-18 with updates  (fallback mode on), notification bubble overflow
Comment 4 Fabrice Bellet 2013-05-28 04:04:06 EDT
Created attachment 753773 [details]
screenshot, stock F-18 with updates (fallback mode on), with patch applied
Comment 5 Fedora End Of Life 2013-12-21 08:44:52 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 16:33:42 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.